# ================================================================

use strict;

# ================================================================

my(@tFileData)=&readFileAsText($main::iDataFile);

$main::gHeader.=&getHTTPResponse200Header();
$main::gHeader.=&getHTTPContentHeader($main::lContentLanguage,$main::lCharset);

$main::gBody.=&getHTMLDocumentOpen($main::iTitle,$main::lContentLanguage,$main::lCharset,\@main::iCSSFile);
$main::gBody.=&getHTMLCaption($main::iTitle,1);
$main::gBody.=&getHTMLLine();
$main::gBody.=&getHTMLParagraphOpen();
$main::gBody.=&getHTMLFormOpen($main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_execute_delete_list,'post');
$main::gBody.=&getHTMLSubmitButtons($main::lDelete);

for(my($tCount1)=0;$tCount1<=($#tFileData);$tCount1++)
{
	my(%tFileQuery)=();
	my(@tFileEntry)=split(/\&/,$tFileData[$tCount1]);

	for(my($tCount2)=0;$tCount2<=($#tFileEntry);$tCount2++)
	{
		my($tName,$tValue)=split(/=/,$tFileEntry[$tCount2]);
		chomp($tValue);
		$tFileQuery{$tName}=&sanitize(&decodeAsURL($tValue));
	}

	my($tID)=$tFileQuery{$main::iQuery_id};

	if($main::gQueryPost{$tID}==$tID)
	{
		$main::gBody.=&getHTMLHiddenField($tID,$tID);
	}
}

$main::gBody.=&getHTMLFormClose();
$main::gBody.=&getHTMLParagraphClose();

$main::gBody.=&getHTMLParagraphOpen();
$main::gBody.=&getHTMLFormOpen($main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_execute_update_list,'post');
$main::gBody.=&getHTMLSubmitButtons($main::lPublic);

for(my($tCount1)=0;$tCount1<=($#tFileData);$tCount1++)
{
	my(%tFileQuery)=();
	my(@tFileEntry)=split(/\&/,$tFileData[$tCount1]);

	for(my($tCount2)=0;$tCount2<=($#tFileEntry);$tCount2++)
	{
		my($tName,$tValue)=split(/=/,$tFileEntry[$tCount2]);
		chomp($tValue);
		$tFileQuery{$tName}=&sanitize(&decodeAsURL($tValue));
	}

	my($tID)=$tFileQuery{$main::iQuery_id};

	if($main::gQueryPost{$tID}==$tID)
	{
		$main::gBody.=&getHTMLHiddenField($tID,$tID);
	}
}

$main::gBody.=&getHTMLFormClose();
$main::gBody.=&getHTMLParagraphClose();

$main::gBody.=&getHTMLParagraphOpen();
$main::gBody.='<table class="AnqueteResult" summary="table">'."\n";

for(my($tCount1)=0;$tCount1<=($#tFileData);$tCount1++)
{
	my(%tFileQuery)=();
	my(@tFileEntry)=split(/\&/,$tFileData[$tCount1]);

	for(my($tCount2)=0;$tCount2<=($#tFileEntry);$tCount2++)
	{
		my($tName,$tValue)=split(/=/,$tFileEntry[$tCount2]);
		chomp($tValue);
		$tFileQuery{$tName}=&sanitize(&decodeAsURL($tValue));
	}

	my($tAddress)=$tFileQuery{$main::iQuery_address};
	my($tAgent)=$tFileQuery{$main::iQuery_agent};
	my($tEZNumber)=$tFileQuery{$main::iQuery_eznumber};
	my($tID)=$tFileQuery{$main::iQuery_id};
	my($tMessage)=$tFileQuery{$main::iQuery_message};
	my($tPublic)=$tFileQuery{$main::iQuery_public};
	my($tRating)=$tFileQuery{$main::iQuery_rating};
	my($tReferer)=$tFileQuery{$main::iQuery_referer};
	my($tReply)=$tFileQuery{$main::iQuery_reply};
	my($tTarget)=$tFileQuery{$main::iQuery_target};
	my($tTime)=$tFileQuery{$main::iQuery_time};

	my($tUserAgentIconURL)=&getUserAgentIconURL($tAgent,$main::iUserAgentIconURL);

	if(($tID ne '')&&($main::gQueryPost{$tID}==$tID))
	{
		if($tPublic)
		{
			$main::gBody.='<tr class="AnqueteResult_Public">'."\n";
		}
		else
		{
			$main::gBody.='<tr class="AnqueteResult_Private">'."\n";
		}

		if(&isDifferent($tMessage,''))
		{
			if(&isDifferent($tReply,''))
			{
				$main::gBody.='<td colspan="1" rowspan="3" class="AnqueteResult_CheckBox">';
			}
			else
			{
				$main::gBody.='<td colspan="1" rowspan="2" class="AnqueteResult_CheckBox">';
			}
		}
		else
		{
			$main::gBody.='<td colspan="1" class="AnqueteResult_CheckBox">';
		}

		$main::gBody.='<input type="checkbox" name="'.$tID.'" value="'.$tID.'" checked="checked" disabled="disabled"></td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_Rating">'.$tRating.'</td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_Time">'.$tTime.'</td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_Referer"><a href="'.$tReferer.'" target="_blank">'.$tReferer.'</a></td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_Address">'.$tAddress.'</td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_UserAgent"><img src="'.$tUserAgentIconURL.'" alt="'.$tAgent.'"></td>'."\n";
		$main::gBody.='<td colspan="1" class="AnqueteResult_Operation"><a href="'.$main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_display_update.'&'.$main::iQuery_id.'='.$tID.'">'.$main::lUpdate.'</a> / <a href="'.$main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_execute_delete.'&'.$main::iQuery_id.'='.$tID.'">'.$main::lDelete.'</a></td>'."\n";

		$main::gBody.='</tr>'."\n";

		if(&isDifferent($tMessage,''))
		{
			if($tPublic)
			{
				$main::gBody.='<tr class="AnqueteResult_Public">'."\n";
			}
			else
			{
				$main::gBody.='<tr class="AnqueteResult_Private">'."\n";
			}

			$main::gBody.='<td colspan="7" class="AnqueteResult_Message">'.&sanitize($tMessage).'</td>'."\n";
			$main::gBody.='</tr>'."\n";
		}

		if(&isDifferent($tReply,''))
		{
			if($tPublic)
			{
				$main::gBody.='<tr class="AnqueteResult_Public">'."\n";
			}
			else
			{
				$main::gBody.='<tr class="AnqueteResult_Private">'."\n";
			}

			$main::gBody.='<td colspan="7" class="AnqueteResult_Message">'.&sanitize($tReply).'</td>'."\n";
			$main::gBody.='</tr>'."\n";
		}
	}
}

$main::gBody.='</table><br>'."\n";
$main::gBody.=&getHTMLParagraphClose();
$main::gBody.=&getHTMLDocumentCloseWithApplicationVersion($main::iApplicationName,$main::iApplicationVersion,$main::iLibraryVersion);

# ================================================================

1;
