# ================================================================

use strict;

# ================================================================

$main::gHeader.=&getHTTPResponse200Header();

$main::gHeader.='Content-type: application/octed-stream'."\n";
$main::gHeader.='Content-Disposition: attachment; filename=result.csv'."\n";
$main::gHeader.='Cache-Control: no-cache'."\n";

$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lID).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lTime).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lTarget).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lRating).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lMessage).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lAddress).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lAgent).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lEZNumber).'",';
$main::gBody.='"'.&convertEUCJPToShiftJIS($main::lReferer).'"';
$main::gBody.="\n";

my(@tFileData)=&readFileAsText($main::iDataFile);

for(my($tCount1)=($#tFileData);$tCount1>=0;$tCount1--)
{
	my(%tFileQuery)=();
	my(@tFileEntry)=split(/\&/,$tFileData[$tCount1]);

	for(my($tCount2)=0;$tCount2<=($#tFileEntry);$tCount2++)
	{
		my($tName,$tValue)=split(/=/,$tFileEntry[$tCount2]);
		chomp($tValue);
		$tFileQuery{$tName}=&convertEUCJPToShiftJIS(&decodeAsURL($tValue));
		$tFileQuery{$tName}=~ s/"/""/g;
	}

	my($tAddress)=$tFileQuery{$main::iQuery_address};
	my($tAgent)=$tFileQuery{$main::iQuery_agent};
	my($tEZNumber)=$tFileQuery{$main::iQuery_eznumber};
	my($tID)=$tFileQuery{$main::iQuery_id};
	my($tMessage)=$tFileQuery{$main::iQuery_message};
	my($tRating)=$tFileQuery{$main::iQuery_rating};
	my($tReferer)=$tFileQuery{$main::iQuery_referer};
	my($tTarget)=$tFileQuery{$main::iQuery_target};
	my($tTime)=$tFileQuery{$main::iQuery_time};

	$main::gBody.='"'.$tID.'",';
	$main::gBody.='"'.$tTime.'",';
	$main::gBody.='"'.$tTarget.'",';
	$main::gBody.='"'.$tRating.'",';
	$main::gBody.='"'.$tMessage.'",';
	$main::gBody.='"'.$tAddress.'",';
	$main::gBody.='"'.$tAgent.'",';
	$main::gBody.='"'.$tEZNumber.'",';
	$main::gBody.='"'.$tReferer.'"';
	$main::gBody.="\n";
}

# ================================================================

1;
