# ================================================================

use strict;

# ================================================================

our($iQuery_id) = 'id';

# ================================================================

my($tDataFile)=$ARGV[0];

if($tDataFile eq '')
{
	print 'Usage: perl renumber.pl [SOURCE_FILE] > [DESTINATION_FILE]'."\n";
}
else
{
	open(DATA_FILE,'<'.$tDataFile);
	flock(DATA_FILE,1);
	my(@tFileData)=<DATA_FILE>;
	close(DATA_FILE);

	for(my($tCount1)=0;$tCount1<=($#tFileData);$tCount1++)
	{
		my(%tFileQuery)=();
		my(@tFileEntry)=split(/\&/,$tFileData[$tCount1]);

		for(my($tCount2)=0;$tCount2<=($#tFileEntry);$tCount2++)
		{
			my($tName,$tValue)=split(/=/,$tFileEntry[$tCount2]);
			chomp($tValue);
			$tFileQuery{$tName}=$tValue;
		}

	print $iQuery_id.'='.(($#tFileData)-$tCount1+1);

		foreach(sort keys %tFileQuery)
		{
			my($tKey)=$_;
			my($tValue)=$tFileQuery{$tKey};

			if($tKey ne $iQuery_id)
			{
				print '&'.$tKey.'='.$tValue;
			}
		}

		print "\n";
	}
}
