# ================================================================

use strict;

# ================================================================

my($tSanitizedTargetID)=&sanitize(&decodeAsURL($main::gQueryURL{$main::iQuery_id}));

my(@tRecord)=&getRecordIfMatch($main::iDataFile,$main::iQuery_id,$tSanitizedTargetID,1);

$main::gHeader.=&getHTTPResponse200Header();
$main::gHeader.=$main::gExtraHTTPHeader;
$main::gHeader.=&getHTTPContentHeader($main::lContentLanguage,$main::lCharset);

$main::gBody.=&getHTMLDocumentOpen($main::iTitle,$main::lContentLanguage,$main::lCharset,\@main::iCSSFile);
$main::gBody.=&getDumpIfExists($main::iNoticeFile);
$main::gBody.=&getHTMLFormOpen($main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_execute_update,'post');
$main::gBody.=&getHTMLParagraphOpen();
$main::gBody.=&getHTMLHiddenField($main::iQuery_id,$tSanitizedTargetID);
$main::gBody.=$main::lMessage.'<br>'."\n";
$main::gBody.=&getHTMLTextBox($main::iQuery_message,&sanitize($tRecord[0]{$main::iQuery_message}),80,4);
$main::gBody.=$main::lReply.'<br>'."\n";
$main::gBody.=&getHTMLTextBox($main::iQuery_reply,&sanitize($tRecord[0]{$main::iQuery_reply}),80,4);
$main::gBody.='<br>'."\n";
$main::gBody.=&getHTMLCheckBox($main::iQuery_public,$main::lPublic,1);
$main::gBody.=&getHTMLParagraphClose();
$main::gBody.=&getHTMLSubmitButtons($main::lUpdate,$main::lClear);
$main::gBody.=&getHTMLFormClose();
$main::gBody.=&getHTMLDocumentClose();

# ================================================================

1;
